﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartTransitionsCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=1; i<10; i++)
            {
                Data.Add(new SampleData()
                {
                    Label= i.ToString(),
                    Value = r.Next(1,10)
                });
            }
        }
    }

    public class SampleData : INotifyPropertyChanged
    {

        
        public string Label { get; set; }

        private int _val;
        public int Value
        {
            get { return _val; }
            set
            {
                if(_val != value)
                {
                    _val = value;
                    OnPropertyChanged("Value");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged([CallerMemberName] String propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
}
